"""update download for logged in users

Revision ID: 104070a25743
Revises: 9dbe69ba48de
Create Date: 2022-12-20 15:12:42.201708

"""
from alembic import op


# revision identifiers, used by Alembic.
revision = "104070a25743"
down_revision = "9dbe69ba48de"
branch_labels = None
depends_on = None

new_deliver = """./deliver{{#create_tar_file}} --tar{{/create_tar_file}}{{#username}} -u {{username}}{{/username}} -r . --prefix $1"""

old_deliver = """./deliver {{#create_tar_file}}--tar{{/create_tar_file}} -r . --prefix $1"""

new_env = """{{#remote-cv}}
environment = "CAPO_PATH=. CAPO_PROFILE={{profile}} LD_LIBRARY_PATH=/home/ssa/share/oracle/instantclient_12_1"
"""

old_env = """{{#remote-cv}}
environment = "CAPO_PATH=. CAPO_PROFILE={{profile}}"
"""


def upgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content = replace(convert_from(content, 'utf8'), E'{old_deliver}', E'{new_deliver}')::bytea
        WHERE filename='download.sh'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content = replace(convert_from(content, 'utf8'), E'{old_env}', E'{new_env}')::bytea
        WHERE filename='download.condor'
        """
    )


def downgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content = replace(convert_from(content, 'utf8'), E'{new_deliver}', E'{old_deliver}')::bytea
        WHERE filename='download.sh'
        """
    )
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content = replace(convert_from(content, 'utf8'), E'{new_env}', E'{old_env}')::bytea
        WHERE filename='download.condor'
        """
    )
